{#
/**
 * @file c-events-team-app.html.twig
 * Default theme implementation to present Team App.
 *
 * This template is used when viewing Team App pages.
 *
 *
 * Available variables:
 * - applicant_details: Elements to be rendered in the personal details section
 * - questions: Elements for the Application tabs
 * - references: Elements for the references tab
 * - other_applications: Elements for Other Applications tab
 * - log: Elements for Log tab.
 * - footer: Elements for underneath the tabs
 * - attributes: HTML attributes for the container element.
 *
 * @see template_preprocess_c_events_team_app()
 *
 * @ingroup themeable
 */
#}
<div{{ attributes.addClass('contacts-team-application') }}>
  <h2>{{ applicant_details.name }}</h2>

  <div class="row">
    <div class="col-6">
      {{ applicant_details.image }}
      {{ applicant_details.id }}
      {{ applicant_details.email }}
      {{ applicant_details.gender }}
      {{ applicant_details.dob }}
      {{ applicant_details.address }}
    </div>
    <div class="col-6">
      {{ application_summary.event }}
      {{ application_summary.team }}
      {{ application_summary.submitted }}
      {{ application_summary.status }}
      {{ application_summary.dbs_status }}
      {{ application_summary.booking_link }}
    </div>
  </div>

  <div id="team-application-tabs">
    <div class="team-tab-bar">
      <button class="team-tab-link" data-tab="application">Application</button>
      {% if references %}
        <button class="team-tab-link" data-tab="references">References</button>
      {% endif %}
      {% if dbs %}
        <button class="team-tab-link" data-tab="dbs">DBS history</button>
      {% endif %}
      <button class="team-tab-link" data-tab="other-apps">Other Applications</button>
      <button class="team-tab-link" data-tab="log">Log</button>
    </div>
    <div id="application" class="team-tab">
      {{ questions }}
    </div>
    {% if references %}
      <div id="references" class="team-tab">
        {{ references }}
      </div>
    {% endif %}
    {% if dbs %}
      <div id="dbs" class="team-tab">
        {{ dbs }}
      </div>
    {% endif %}
    <div id="other-apps" class="team-tab">
      {{ other_applications }}
    </div>
    <div id="log" class="team-tab">
      {{ log }}
    </div>
  </div>

  {{ footer }}
</div>
